Due to a recent update on Javascript code a full page refresh on your browser might be needed.

Bug 1442387

Summary: SELinux is preventing groupadd from 'write' accesses on the sock_file system_bus_socket.
Product: [Fedora] Fedora Reporter: Jackneill <jackneill1000+redhatbugzilla>
Component: selinux-policyAssignee: Lukas Vrabec <lvrabec>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 27CC: dominick.grift, dwalsh, lvrabec, mgrepl, plautrba, pmoore, ssekidde
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:60453175b0e3e7bf6c41535a7cd6765c949e13fe62c72040a8eddcd81be349f8;VARIANT_ID=workstation;
Fixed In Version: selinux-policy-3.13.1-283.14.fc27 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-10-31 15:34:56 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jackneill 2017-04-14 13:10:46 UTC
Description of problem:
sudo dnf install @cinnamon-desktop-environment
and
sudo dnf install @kde-desktop-envionment
on a fresh rawhide install.
SELinux is preventing groupadd from 'write' accesses on the sock_file system_bus_socket.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that groupadd should be allowed write access on the system_bus_socket sock_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'groupadd' --raw | audit2allow -M my-groupadd
# semodule -X 300 -i my-groupadd.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:groupadd_t:s0-s0:c0.c102
                              3
Target Context                system_u:object_r:system_dbusd_var_run_t:s0
Target Objects                system_bus_socket [ sock_file ]
Source                        groupadd
Source Path                   groupadd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-249.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.11.0-0.rc6.git2.1.fc27.x86_64 #1
                              SMP Wed Apr 12 14:45:06 UTC 2017 x86_64 x86_64
Alert Count                   4
First Seen                    2017-04-14 14:52:13 CEST
Last Seen                     2017-04-14 15:06:32 CEST
Local ID                      f3475643-2f76-46a0-8abe-6fd794efbd6b

Raw Audit Messages
type=AVC msg=audit(1492175192.264:410): avc:  denied  { write } for  pid=7845 comm="groupadd" name="system_bus_socket" dev="tmpfs" ino=790 scontext=unconfined_u:unconfined_r:groupadd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:system_dbusd_var_run_t:s0 tclass=sock_file permissive=0


Hash: groupadd,groupadd_t,system_dbusd_var_run_t,sock_file,write

Version-Release number of selected component:
selinux-policy-3.13.1-249.fc27.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.0-0.rc6.git2.1.fc27.x86_64
type:           libreport

Potential duplicate: bug 1416963

Comment 1 Jackneill 2017-04-14 13:36:13 UTC
Description of problem:
install cinnamon and kde desktop environments on a fresh rawhide install.

Version-Release number of selected component:
selinux-policy-3.13.1-249.fc27.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.0-0.rc6.git2.1.fc27.x86_64
type:           libreport

Comment 2 Jackneill 2017-04-14 13:55:40 UTC
Description of problem:
tried to add a user

Version-Release number of selected component:
selinux-policy-3.13.1-249.fc27.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.0-0.rc6.git2.1.fc27.x86_64
type:           libreport

Comment 3 Jan Kurik 2017-08-15 08:52:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 4 Fedora Update System 2017-10-25 10:12:01 UTC
selinux-policy-3.13.1-283.13.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b5e9ce60d2

Comment 5 Fedora Update System 2017-10-27 18:45:12 UTC
selinux-policy-3.13.1-283.14.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b5e9ce60d2

Comment 6 Fedora Update System 2017-10-31 15:34:56 UTC
selinux-policy-3.13.1-283.14.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.